#include "effect.h"
#include "runtime/hashing.h"

RT_DLLEXPORT uint32_t rtCalculateRenderTargetID(const char *name, size_t len) {
    uint32_t id = rtHashBytes32(name, len);
    if (id == 0)
        id = ~id;
    return id;
}

RT_DLLEXPORT uint32_t rtCalculateRenderPassID(const char *name, size_t len) {
    uint32_t id = rtHashBytes32(name, len);
    if (id == 0)
        id = ~id;
    return id;
}
